Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 601962 - dev-libs/tut-2013.12.18 : ../.../teardown_ex.cpp:30:55: error: throw will always call terminate() [-Werror=terminate]
Summary: dev-libs/tut-2013.12.18 : ../.../teardown_ex.cpp:30:55: error: throw will alw...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Christoph Junghans
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-6
  Show dependency tree
 
Reported: 2016-12-08 08:05 UTC by Toralf Förster
Modified: 2016-12-23 18:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dev-libs:tut-2013.12.18:20161208-022816.log (dev-libs:tut-2013.12.18:20161208-022816.log,9.09 KB, text/plain)
2016-12-08 08:05 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,231.55 KB, text/plain)
2016-12-08 08:05 UTC, Toralf Förster
Details
environment (environment,81.94 KB, text/plain)
2016-12-08 08:05 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.55 KB, application/x-bzip2)
2016-12-08 08:05 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2016-12-08 08:05:02 UTC
03:28:27 runner system command -> ['x86_64-pc-linux-gnu-g++', '-Werror=terminate', '-march=native', '-O2', '-pipe', '-O2', '-Wall', '-Wextra', '-Weffc++', '-ftemplate-depth-100', '-Idefault/include', '-I../include', '../selftest/teardown_ex.cpp', '-c', '-o', 'default/selftest/teardown_ex_2.o']
../selftest/teardown_ex.cpp: In destructor ‘virtual tut::teardown_ex::dummy::~dummy()’:
../selftest/teardown_ex.cpp:30:55: error: throw will always call terminate() [-Werror=terminate]
                 throw runtime_error("ex in destructor");
                                                       ^
../selftest/teardown_ex.cpp:30:55: note: in C++11 destructors default to noexcept


$ cat emerge-info.txt
  -----------------------------------------------------------------

  This is an unstable amd64 chroot image (named amd64-gnome-libressl-unstable_20161203-191532) at a hardened host acting as a tinderbox.

  -----------------------------------------------------------------
  USE flags in make.conf:
USE="  -openssl -gnutls libressl pax_kernel xtpax -cdinstall -oci8 -bindist ssp cdda clang curl custom-cflags dnssec emacs exif fluidsynth -fortran -gif git -graphtft -gstreamer latex mad mdnsresponder-compat modplug -mp4 multimedia ncurses -obj odbc opencv pam png postgres pwquality -qt4 -sasl smpeg source sourceview system-jpeg -szip threads ufed vaapi vdpau video webgl webstart widgets wxwidgets x264 ziffy zip -zlib"
  -----------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.2.0 *
llvm-config --version:
3.9.0
Available Java Virtual Machines:
  [1]   icedtea-bin-7 
  [2]   icedtea-bin-8  system-vm
  [3]   jamvm 
Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy3 (fallback)
  [4]   jython2.7 (fallback)

java-config:
The following VMs are available for generation-2:
1)	IcedTea JDK 7.2.6.8 [icedtea-bin-7]
*)	IcedTea JDK 3.2.0 [icedtea-bin-8]
3)	JamVM JDK 2.0.0 [jamvm]
  -----------------------------------------------------------------

Portage 2.3.3 (python 3.4.5-final-0, default/linux/amd64/13.0/desktop/gnome, gcc-6.2.0, glibc-2.23-r3, 4.8.12-hardened-r1 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.8.12-hardened-r1-x86_64-Intel-R-_Core-TM-_i7-3930K_CPU_@_3.20GHz-with-gentoo-2.3
KiB Mem:    65285560 total,  22871296 free
KiB Swap:   67108860 total,  67108860 free
Timestamp of repository gentoo: Thu, 08 Dec 2016 01:03:40 +0000
sh bash 4.4_p5-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
app-shells/bash:          4.4_p5-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.1_rc4::gentoo
dev-lang/python:          2.7.12::gentoo, 3.4.5::gentoo
dev-util/cmake:           3.7.1::gentoo
dev-util/pkgconfig:       0.29.1::gentoo
sys-apps/baselayout:      2.3::gentoo
sys-apps/openrc:          0.22.4::gentoo
sys-apps/sandbox:         2.10-r2::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r2::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.14.1-r1::gentoo, 1.15-r2::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo, 2.27::gentoo
sys-devel/gcc:            6.2.0-r1::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r2::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.23-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: 1

tinderbox
    location: /tmp/tb/data/portage
    masters: gentoo
    priority: 2

local
    location: /usr/local/portage
    masters: gentoo
    priority: 99

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/fax /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-Werror=terminate -march=native -O2 -pipe"
DISTDIR="/var/tmp/distfiles"
EMERGE_DEFAULT_OPTS="--verbose --verbose-conflicts --color=n --nospinner --tree --quiet-build"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox parallel-fetch preserve-libs protect-owned sandbox sfperms strict test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.uni-erlangen.de/pub/mirrors/gentoo rsync://mirror.netcologne.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gor.bytemark.co.uk/gentoo/ rsync://ftp.snt.utwente.nl/gentoo"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bluetooth branding bzip2 cairo cdda cdr clang cli colord consolekit cracklib crypt cups curl custom-cflags cxx dbus dnssec dri dts dvd dvdr eds emacs emboss encode evo exif fam firefox flac fluidsynth gdbm git glamor gnome gnome-keyring gnome-online-accounts gpm gtk iconv introspection ipv6 jpeg latex lcms ldap libnotify libressl libsecret mad mdnsresponder-compat mmx mmxext mng modplug modules mp3 mpeg multilib multimedia nautilus ncurses nls nptl odbc ogg opencv opengl openmp pam pango pax_kernel pcre pdf png policykit postgres ppds pulseaudio pwquality qt3support readline sdl seccomp session smpeg source sourceview spell sse sse2 ssl ssp startup-notification svg system-jpeg tcpd threads tiff tracker truetype udev udisks ufed unicode upower usb vaapi vdpau video vorbis webgl webstart widgets wxwidgets x264 xattr xcb xml xtpax xv xvid ziffy zip" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" CURL_SSL="libressl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="pl" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby21" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Toralf Förster gentoo-dev 2016-12-08 08:05:10 UTC
Created attachment 455488 [details]
dev-libs:tut-2013.12.18:20161208-022816.log
Comment 2 Toralf Förster gentoo-dev 2016-12-08 08:05:13 UTC
Created attachment 455490 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2016-12-08 08:05:16 UTC
Created attachment 455492 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2016-12-08 08:05:19 UTC
Created attachment 455494 [details]
etc.portage.tbz2
Comment 5 Christoph Junghans gentoo-dev 2016-12-23 18:42:39 UTC
Should be fixed in =dev-libs/tut-2016.12.19.